$ErrorActionPreference = 'Stop';

$packageName  = 'Caprine'
$toolsDir     = "$(Split-Path -Parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'Caprine-Setup-2.40.0.exe'

$packageArgs = @{
  packageName   = $packageName
  softwareName  = 'Caprine*'
  file          = $fileLocation
  fileType      = 'exe'
  silentArgs    = "/S"
  validExitCodes= @(0)
  checksum      = '42F37F6975B40AB70D1BE30B7EAD5E83D3CA25161D2E5ADF1CBB787F3346119848EBCD73422E52C2412A5D4A281FD4EF5119511B6BEE7B0B2EB8204B09B1F2CF'
  checksumType  = 'sha512'
}

Install-ChocolateyInstallPackage @packageArgs
